
From: Anton Blanchard <anton@samba.org>

On new toolchains we need to use nm --synthetic or we miss code symbols.  Sam,
Im not thrilled about this patch but Im not sure of an easier way.  Any ideas?

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Makefile |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN arch/ppc64/Makefile~ppc64-use-nm-synthetic-where-available arch/ppc64/Makefile
--- 25/arch/ppc64/Makefile~ppc64-use-nm-synthetic-where-available	2004-09-11 16:29:39.120606488 -0700
+++ 25-akpm/arch/ppc64/Makefile	2004-09-11 16:29:39.124605880 -0700
@@ -22,6 +22,12 @@ LD              := $(LD) -m elf64ppc
 CC		:= $(CC) -m64
 endif
 
+new_nm := $(shell if $(NM) --help 2>&1 | grep -- '--synthetic' > /dev/null; then echo y; else echo n; fi)
+
+ifeq ($(new_nm),y)
+NM		:= $(NM) --synthetic
+endif
+
 CHECKFLAGS	+= -m64 -D__powerpc__=1
 
 LDFLAGS		:= -m elf64ppc
_
